cat.hpp File Reference
`#include <msgpack/preprocessor/arithmetic/dec.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/if.hpp>`
`#include <msgpack/preprocessor/seq/fold_left.hpp>`
`#include <msgpack/preprocessor/seq/seq.hpp>`
`#include <msgpack/preprocessor/seq/size.hpp>`
`#include <msgpack/preprocessor/tuple/eat.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_CAT(seq)
#define | MSGPACK_PP_SEQ_CAT_I(seq) MSGPACK_PP_SEQ_FOLD_LEFT(MSGPACK_PP_SEQ_CAT_O, MSGPACK_PP_SEQ_HEAD(seq), MSGPACK_PP_SEQ_TAIL(seq))
#define | MSGPACK_PP_SEQ_CAT_O(s, st, elem) MSGPACK_PP_SEQ_CAT_O_I(st, elem)
#define | MSGPACK_PP_SEQ_CAT_O_I(a, b) a ## b
#define | MSGPACK_PP_SEQ_CAT_S(s, seq)
#define | MSGPACK_PP_SEQ_CAT_S_I_A(s, seq) MSGPACK_PP_SEQ_FOLD_LEFT_ ## s(MSGPACK_PP_SEQ_CAT_O, MSGPACK_PP_SEQ_HEAD(seq), MSGPACK_PP_SEQ_TAIL(seq))
#define | MSGPACK_PP_SEQ_CAT_S_I_B(s, seq) MSGPACK_PP_SEQ_HEAD(seq)

## Macro Definition Documentation

## MSGPACK_PP_SEQ_CAT

#define MSGPACK_PP_SEQ_CAT | ( |  | seq | ) |

Value:
MSGPACK_PP_IF( \
MSGPACK_PP_DEC(MSGPACK_PP_SEQ_SIZE(seq)), \
MSGPACK_PP_SEQ_CAT_I, \
MSGPACK_PP_SEQ_HEAD \
)(seq) \
MSGPACK_PP_SEQ_SIZE
#define MSGPACK_PP_SEQ_SIZE(seq)
Definition: size.hpp:28
MSGPACK_PP_SEQ_HEAD
#define MSGPACK_PP_SEQ_HEAD(seq)
Definition: seq.hpp:20
MSGPACK_PP_IF
#define MSGPACK_PP_IF(cond, t, f)
Definition: if.hpp:26
MSGPACK_PP_DEC
#define MSGPACK_PP_DEC(x)
Definition: dec.hpp:24
MSGPACK_PP_SEQ_CAT_I
#define MSGPACK_PP_SEQ_CAT_I(seq)
Definition: cat.hpp:32

## MSGPACK_PP_SEQ_CAT_I

#define MSGPACK_PP_SEQ_CAT_I | ( |  | seq | ) | MSGPACK_PP_SEQ_FOLD_LEFT(MSGPACK_PP_SEQ_CAT_O, MSGPACK_PP_SEQ_HEAD(seq), MSGPACK_PP_SEQ_TAIL(seq))

## MSGPACK_PP_SEQ_CAT_O

#define MSGPACK_PP_SEQ_CAT_O | ( |  | s,
|  |  | st,
|  |  | elem
| ) |  | MSGPACK_PP_SEQ_CAT_O_I(st, elem)

## MSGPACK_PP_SEQ_CAT_O_I

#define MSGPACK_PP_SEQ_CAT_O_I | ( |  | a,
|  |  | b
| ) |  | a ## b

## MSGPACK_PP_SEQ_CAT_S

#define MSGPACK_PP_SEQ_CAT_S | ( |  | s,
|  |  | seq
| ) |  |

Value:
MSGPACK_PP_IF( \
MSGPACK_PP_DEC(MSGPACK_PP_SEQ_SIZE(seq)), \
MSGPACK_PP_SEQ_CAT_S_I_A, \
MSGPACK_PP_SEQ_CAT_S_I_B \
)(s, seq) \
MSGPACK_PP_SEQ_SIZE
#define MSGPACK_PP_SEQ_SIZE(seq)
Definition: size.hpp:28
MSGPACK_PP_IF
#define MSGPACK_PP_IF(cond, t, f)
Definition: if.hpp:26
MSGPACK_PP_DEC
#define MSGPACK_PP_DEC(x)
Definition: dec.hpp:24
MSGPACK_PP_SEQ_CAT_S_I_B
#define MSGPACK_PP_SEQ_CAT_S_I_B(s, seq)
Definition: cat.hpp:47
MSGPACK_PP_SEQ_CAT_S_I_A
#define MSGPACK_PP_SEQ_CAT_S_I_A(s, seq)
Definition: cat.hpp:46

## MSGPACK_PP_SEQ_CAT_S_I_A

#define MSGPACK_PP_SEQ_CAT_S_I_A | ( |  | s,
|  |  | seq
| ) |  | MSGPACK_PP_SEQ_FOLD_LEFT_ ## s(MSGPACK_PP_SEQ_CAT_O, MSGPACK_PP_SEQ_HEAD(seq), MSGPACK_PP_SEQ_TAIL(seq))

## MSGPACK_PP_SEQ_CAT_S_I_B

#define MSGPACK_PP_SEQ_CAT_S_I_B | ( |  | s,
|  |  | seq
| ) |  | MSGPACK_PP_SEQ_HEAD(seq)